Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.compress
Class CompressedSequentialWriter.CompressedFileWriterMark

    java.lang.Object
      org.apache.cassandra.io.compress.CompressedSequentialWriter.CompressedFileWriterMark

All Implemented Interfaces:
  FileMark

Enclosing class:
  CompressedSequentialWriter

    protected static class CompressedSequentialWriter.CompressedFileWriterMark

extends java.lang.Object
implements FileMark

Class to hold a mark to the position of the file

Constructor Summary
`CompressedSequentialWriter.CompressedFileWriterMark(long chunkOffset, long uncDataOffset, int bufferOffset, int nextChunkIndex)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompressedSequentialWriter.CompressedFileWriterMark

    public CompressedSequentialWriter.CompressedFileWriterMark(long chunkOffset,
                                                               long uncDataOffset,
                                                               int bufferOffset,
                                                               int nextChunkIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation